package io.zipcode;

import org.apache.commons.io.IOUtils;

import java.io.InputStream;
import java.net.URL;
import java.net.URLConnection;
import java.util.Scanner;

public class URLReader {

    public static void main(String[] args) {
        Scanner input = new Scanner(System.in);
        System.out.println("Please enter url: ");
        String strUrl = input.nextLine();

        String body = "";

        try{
            URL url = new URL(strUrl);

        URLConnection con = url.openConnection();
        InputStream in = con.getInputStream();
        String encoding = con.getContentEncoding();  // ** WRONG: should use "con.getContentType()" instead but
        // it returns something like "text/html; charset=UTF-8" so this value must be parsed to extract the actual encoding
        encoding = encoding == null ? "UTF-8" : encoding;
         body = IOUtils.toString(in, encoding);
        } catch (Exception e){

            System.out.println("Exception is " + e );
        }



        System.out.println(body);
    }

}
